Skip to main content
GET
/
v1
/
organizations
/
{organization_id}
/
workspaces
/
{workspace_id}
/
analyses
/
{project_id}
/
search
/
domain-thematics-overview
Domain Thematic Overview
curl --request GET \
  --url https://api.shareofsearch.jplus.io/v1/organizations/{organization_id}/workspaces/{workspace_id}/analyses/{project_id}/search/domain-thematics-overview \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.shareofsearch.jplus.io/v1/organizations/{organization_id}/workspaces/{workspace_id}/analyses/{project_id}/search/domain-thematics-overview"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.shareofsearch.jplus.io/v1/organizations/{organization_id}/workspaces/{workspace_id}/analyses/{project_id}/search/domain-thematics-overview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": "<string>",
    "thematic": "<string>",
    "top_3_competitors": [
      "<string>"
    ],
    "topic": "<string>",
    "num_of_queries": {
      "value": 123,
      "prev_value": 123,
      "unit": "<string>"
    },
    "num_of_topics": {
      "value": 123,
      "prev_value": 123,
      "unit": "<string>"
    },
    "visibility_score": {
      "value": 123,
      "prev_value": 123,
      "unit": "<string>"
    },
    "presence_rate": {
      "value": 123,
      "prev_value": 123,
      "unit": "<string>"
    },
    "avg_ranking": {
      "value": 123,
      "prev_value": 123,
      "unit": "<string>"
    },
    "presence_rate_total": {
      "value": 123,
      "prev_value": 123,
      "unit": "<string>"
    },
    "presence_rate_occurrences": {
      "value": 123,
      "prev_value": 123,
      "unit": "<string>"
    }
  }
]
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organization_id
string
required
workspace_id
string
required
project_id
string
required

Query Parameters

date_start
string<date>
required

Start of the date range (YYYY-MM-DD)

date_end
string<date> | null

End of the date range (YYYY-MM-DD). Defaults to end of period containing date_start.

period
enum<string>
default:week

Aggregation period: day, week, month, or year

Available options:
day,
week,
month,
year
sources
enum<string>[] | null
Available options:
Bing,
BingAIO,
ChatGPT,
Perplexity,
Google,
GoogleAIO,
GoogleAIMode,
Claude,
Gemini,
AmazonRufus
thematics
string<uuid>[] | null

Filter by a list of thematic IDs

keyword_type
enum<string>[] | null

Filter by a list of keyword types

Available options:
Generic,
Brand
funnel_stages
enum<string>[] | null

Filter by a list of Funnel Stages

Available options:
ToFu,
MoFu,
BoFu
persona_ids
string[] | null

Filter by a list of persona IDs

topic_ids
string[] | null

Filter by a list of topic IDs

get_neutrals
boolean | null

Filter by to get results related to neutral prompts, without weakness or strength

strength_ids
string[] | null

Filter by a list of strength IDs

weakness_ids
string[] | null

Filter by a list of weakness IDs

Response

Successful Response

id
string
required

Unique identifier of the thematic group.

thematic
string
required

Name of the thematic group.

top_3_competitors
string[]
required

Up to 3 competitor domains most frequently appearing for keywords in this thematic.

topic
string | null

Topic within the thematic group, if the results are broken down by topic.

num_of_queries
Metric · object | null

Number of keywords in this thematic, compared to the previous period.

num_of_topics
Metric · object | null

Number of topics within this thematic, compared to the previous period.

visibility_score
Metric · object | null

Visibility score for this thematic, compared to the previous period.

presence_rate
Metric · object | null

Share of keywords in this thematic for which the tracked entity appeared at least once, compared to the previous period.

avg_ranking
Metric · object | null

Average rank position across all keywords in this thematic, compared to the previous period.

presence_rate_total
Metric · object | null

Total number of keywords used to compute the presence rate for this thematic, compared to the previous period.

presence_rate_occurrences
Metric · object | null

Number of keywords in this thematic for which the tracked entity actually appeared in results, compared to the previous period.